import type { Metadata } from "next";
import "./css/style.css";
import { timesNowFont, fkGroteskMonoFont, ppMondwestFont } from "./fonts/fonts";
import "aos/dist/aos.css";
import type React from "react";

export const metadata: Metadata = {
    title: "ARTIV8",
    description: "Description",
};

export default function RootLayout({ children }: { children: React.ReactNode }) {
    return (
        <html
            lang="en"
            className={`${timesNowFont.variable} ${fkGroteskMonoFont.variable} ${ppMondwestFont.variable} scroll-smooth`}
        >
            <body className="bg-[#040031] text-white font-times-now">
                <div className="relative min-h-screen flex flex-col overflow-hidden">
                    <main className="flex-grow relative z-10 overflow-hidden">{children}</main>
                </div>
            </body>
        </html>
    );
}
